/// <reference types="node" />
import { IncomingMessage, ServerResponse, IncomingHttpHeaders } from 'http';
export interface Context {
    req: IncomingMessage;
    path: string;
    headers: IncomingHttpHeaders;
    method: string;
    querystring: string;
    query: any;
    search: string;
    get: (field: string) => string;
    res: ServerResponse;
    set: (field: string, val: any) => Context;
    respond: () => any;
    body: any;
    state: any;
    writable: boolean;
    statusCode: number;
    statusMessage: string;
}
export declare function CtxProvider(request: IncomingMessage, res: ServerResponse): Context;
